yapluka

Well-Known Member
Dec 24, 2003
301
1
168
France
cPanel Access Level
Root Administrator
I tried to open a ticket but got an Internal Server error on the page https://tickets.cpanel.net/submit/index.cgi :(

Am I the only one affected by the last cpanel update ? Looks like it's the same problem already reported here regarding the image::button. Problem is the upcp made my servers become unresponsive for a good while due to a very high load (up to 280+ on a PentiumD 915 with 2gb ram) while running this process :

6376 root 18 0 2602m 892m 236 D 3.0 91.1 0:16.48 /usr/bin/perl /usr/local/cpanel/bin/cpcpan_check_installed Image::Butt

Then this one :
31712 root 18 0 2591m 924m 360 D 2.7 94.4 0:18.06 /usr/bin/perl Makefile.PL

One of my servers even crashed and had to be rebooted.

I temp disabled the auto-update on all servers running cpanel 11 but I hope a prompt resolution...
 

BryanSD

Member
Apr 10, 2006
9
0
151
I'm having many problems tonight. Any chance you're running on CENTOS 4.5? This is just darn frustrating...
 

yapluka

Well-Known Member
Dec 24, 2003
301
1
168
France
cPanel Access Level
Root Administrator
Running:

/scripts/installmagick
/usr/local/cpanel/bin/checkperlmodules
/scripts/upcp

solved all mine problems (also centO S4.5)
/scripts/installimagemagick was not a good idea as I was having the same issue with the perl process taking up all the memory.
A manual uninstall then reinstall of imagemagick did do the trick. Today's gonna be a busy day :rolleyes:
 

whitewlf

Member
Jan 14, 2006
9
0
151
Having same Image::ButtonMaker issue

But to add to it, I am getting yum complaining and stopping all OS updates due to:

Error: Missing Dependency: libmysqlclient.so.14 is needed by package perl-DBD-MySQL
Error: Missing Dependency: libmysqlclient.so.14 is needed by package dovecot
Error: Missing Dependency: libmysqlclient.so.14(libmysqlclient_14) is needed by package dovecot
Error: Missing Dependency: libmysqlclient_r.so.14 is needed by package MySQL-python
Error: Missing Dependency: libmysqlclient_r.so.14(libmysqlclient_14) is needed by package MySQL-python

I ended up manually updating and excluding those files to get the rest of the system updated, which it is doing currently... Tried a manual symbolic link duplicating libmysqlclient_r.so.14 from libmysqlclient_r.so.15, but that didn't help. Cpanel's exclusion of mysql from yum is not going to allow updating mysql, and I fear creating massive problems by trying to force install it in there, obviously.

But the image::button problem is there for me too, and high load for no reason.

WHM 11.1.0 cPanel 11.2.14-C12311
CENTOS Enterprise 4.5 i686 - WHM X v3.1.0, MySql 5.0.27, php 5.1.6

Yum completed the rest of the files just now, btw. But it still has the mysql dependency errors.

/scripts/installimagemagick failed just now, too.

make: *** [Magick.o] Error 1
JCRISTY/PerlMagick-6.32.tar.gz
/usr/bin/make -- NOT OK

CPAN: YAML loaded ok (v0.62)
Running make install
Make had returned bad status, install seems impossible
perlmod--Install done
ImageMagick installed ok
ImageMagick installed ok

Though the other two /usr/local/cpanel/bin/checkperlmodules
/scripts/upcp completed without errors, except for the yum updates above.